<?php

/**
 * @var \eZ\Publish\API\Container $serviceContainer
 */
$serviceContainer = require "bootstrap.php";

/**
 * @var $repository \eZ\Publish\API\Repository\Repository
 */
$repository = $serviceContainer->getRepository();

$administratorUser = $repository->getUserService()->loadUser( 14 );
$repository->setCurrentUser( $administratorUser );

// CREATE CONTENT

$contentTypeService = $repository->getContentTypeService();

$contentType = $contentTypeService->loadContentTypeByIdentifier( "project" );

$contentService = $repository->getContentService();

$contentCreate = $contentService->newContentCreateStruct( $contentType, "eng-GB" );
$contentCreate->setField( "title", "eZ Publish" );
$contentCreate->setField( "version", 5 );

$contentCreate->remoteId = "abcdef0123456789abcdef0123456789";
$contentCreate->alwaysAvailable = true;

$locationCreateStruct = $repository->getLocationService()->newLocationCreateStruct( 2 );

$content = $contentService->createContent( $contentCreate, array( $locationCreateStruct ) );

$contentId = $content->id;
$versionNo = $content->contentInfo->currentVersionNo;

var_dump( $content, $content->id, $content->contentInfo->currentVersionNo );
