<?php

/**
 * @var \eZ\Publish\API\Container $serviceContainer
 */
$serviceContainer = require "bootstrap.php";

/**
 * @var $repository \eZ\Publish\API\Repository\Repository
 */
$repository = $serviceContainer->getRepository();

$administratorUser = $repository->getUserService()->loadUser( 14 );
$repository->setCurrentUser( $administratorUser );

// UPDATE CONTENT

$contentService = $repository->getContentService();

$contentInfo = $contentService->loadContentInfo( 101 );

$contentDraft = $contentService->createContentDraft( $contentInfo );

$contentUpdateStruct = $contentService->newContentUpdateStruct();
$contentUpdateStruct->initialLanguageCode = "eng-GB";
$contentUpdateStruct->setField( "version", 6 );

$updatedContent = $contentService->updateContent(
    $contentDraft->getVersionInfo(),
    $contentUpdateStruct
);

$contentService->publishVersion( $updatedContent->versionInfo );

$content = $contentService->loadContent( 101, null, 2 );

var_dump( $content->getFieldValue( "version" ) );
