<?php

/**
 * @var \eZ\Publish\API\Container $serviceContainer
 */
$serviceContainer = require "bootstrap.php";

/**
 * @var $repository \eZ\Publish\API\Repository\Repository
 */
$repository = $serviceContainer->getRepository();

$administratorUser = $repository->getUserService()->loadUser( 14 );
$repository->setCurrentUser( $administratorUser );

// UPDATE CONTENT OWNER

$contentService = $repository->getContentService();

$contentInfo = $contentService->loadContentInfo( 101 );

var_dump( $contentInfo->ownerId );

$anonymousUser = $repository->getUserService()->loadAnonymousUser();

$metadataUpdateStruct = $contentService->newContentMetadataUpdateStruct();

$metadataUpdateStruct->ownerId = $anonymousUser->id;

// Update the metadata of the published content object
$content = $contentService->updateContentMetadata(
    $contentInfo,
    $metadataUpdateStruct
);

var_dump( $content->contentInfo->ownerId );
