<?php

/**
 * @var \eZ\Publish\API\Container $serviceContainer
 */
$serviceContainer = require "bootstrap.php";

/**
 * @var $repository \eZ\Publish\API\Repository\Repository
 */
$repository = $serviceContainer->getRepository();

$administratorUser = $repository->getUserService()->loadUser( 14 );
$repository->setCurrentUser( $administratorUser );

// ADD LOCATION, SET IT AS MAIN AND DISPLAY IT, ALL INSIDE A TRANSACTION

$contentService = $repository->getContentService();

$contentInfo = $contentService->loadContentInfo( 101 );

var_dump( $contentInfo->mainLocationId );

$repository->beginTransaction();

$locationCreateStruct = $repository->getLocationService()->newLocationCreateStruct( 5 );
$locationCreateStruct->hidden = true;

$newLocation = $repository->getLocationService()->createLocation( $contentInfo, $locationCreateStruct );

$metadataUpdateStruct = $contentService->newContentMetadataUpdateStruct();
$metadataUpdateStruct->mainLocationId = $newLocation->id;
$content = $contentService->updateContentMetadata(
    $contentInfo,
    $metadataUpdateStruct
);

var_dump( $newLocation->id, $content->contentInfo->mainLocationId );

$repository->rollback();

$mainLocationId = $contentService->loadContentInfo( $content->id )->mainLocationId;

var_dump( $mainLocationId );
